// AIPlayerSprite.h: interface for the AIPlayerSprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AIPLAYERSPRITE_H__D0D556B8_B087_483C_9D55_F2868C44C111__INCLUDED_)
#define AFX_AIPLAYERSPRITE_H__D0D556B8_B087_483C_9D55_F2868C44C111__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "PlayerSprite.h"

class AIPlayerSprite : public PlayerSprite  
{
public:
	AIPlayerSprite(int x, int y, int kind, FeeManager *derManager);
	virtual ~AIPlayerSprite();

	virtual bool IsAI();
	virtual bool IsActive();
        virtual void Activate();
	virtual bool ShowAmmo();
protected:
	bool active;

};

#endif // !defined(AFX_AIPLAYERSPRITE_H__D0D556B8_B087_483C_9D55_F2868C44C111__INCLUDED_)
