// AIaction.h: interface for the AIAction class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_AIACTION_H__C23EAB40_03C5_45F6_9C31_0D2B13CD8125__INCLUDED_)
#define AFX_AIACTION_H__C23EAB40_03C5_45F6_9C31_0D2B13CD8125__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "FeeGlobal.h"
#include "FeeSprite.h"
#include "HCAIPlayerSprite.h"

enum
{
	AI_ATTACK_PLAYER=0,
	AI_GET_PARACHUTE,
	AI_DODGE,
	AI_DOODLE,
	AI_AVOID_GROUND,
	AI_LAND
};

enum
{
	AI_PRIORITY_COMPUTE=0,
	AI_PRIORITY_SUSPENDED,
	AI_PRIORITY_LOW,
	AI_PRIORITY_LESS_THAN_MEDIUM,
	AI_PRIORITY_MEDIUM,
	AI_PRIORITY_LESS_THAN_HIGH,
	AI_PRIORITY_HIGH,
	AI_PRIORITY_HIGHEST
};

class AIaction;

class AIaction
{
public:	
	AIaction (int theCommand, FeeSprite *theTarget);
	virtual ~AIaction();

	bool toDelete;			// ist diese Aktion abgeschlossen und kann gelscht werden?

	AIaction *next;
	int Command;
	int Countdown;			// Timeout fr Aktionen
	FeeSprite* Target;
};

#endif // !defined(AFX_AIACTION_H__C23EAB40_03C5_45F6_9C31_0D2B13CD8125__INCLUDED_)
