#ifndef _FEEGLOBALSH_
#define _FEEGLOBALSH_

#define int32 long int

#include <stdlib.h>  // fr _MAX_PATH

#ifdef _WIN32
#include <windows.h>
#define ODS(a) OutputDebugString(a) 
#define bool BOOL
#endif

#ifndef _WIN32
#define ODS(a) printf(a)
struct POINT
{
	int x;
	int y;
};
#endif

#ifdef macintosh
#include "MacTypes.h"
#define bool int
#endif

#ifndef min
template <class T>
inline const T& (min) (const T& a, const T& b)
{
    return b < a ? b : a;
}

template <class T, class Compare>
inline const T& (min) (const T& a, const T& b, Compare comp)
{
    return comp(b, a) ? b : a;
}
#endif

#ifndef max
template <class T>
inline const T& (max) (const T& a, const T& b)
{
    return  a < b ? b : a;
}

template <class T, class Compare>
inline const T& (max) (const T& a, const T& b, Compare comp)
{
    return comp (a, b) ? b : a;
}
#endif

#ifndef _MAX_PATH
#define _MAX_PATH 260
#endif

#include "SDL.h"

#define DO_NOTHING 0
#define REMOVE_SPRITE 1

#ifndef MAX_PATH
#define MAX_PATH 512
#endif

#include "gcmalloc.h"

bool Collides(SDL_Rect rect1,SDL_Rect rect2);

#endif // _FEEGLOBALSH_