#ifndef _FLYINGPARTSPRITEH_
#define _FLYINGPARTSPRITEH_

#include "FeeSprite.h"
#include "MovingSprite.h"

const int INITIAL_FLYING_PART_SPEED = 7;

class FlyingPartSprite : public MovingSprite  
{
public:
	virtual void Hit(FeeSprite *hitBy);
	FlyingPartSprite(int x, int y, FeeManager *derManager);
	static void SpawnFlyingParts(int x, int y, char *filename, int anzahlTeile, FeeManager *derManager, int initialSpeed=INITIAL_FLYING_PART_SPEED);
	virtual ~FlyingPartSprite();
	virtual void Update(float time);
protected:
	int zaehler;
};

#endif
