// ShotSprite.h: interface for the ShotSprite class.
//
//////////////////////////////////////////////////////////////////////

#ifndef _PUMPKINSPRITEH_
#define _PUMPKINSPRITEH_

#include "MovingSprite.h"
class PlayerSprite;

class PumpkinSprite : public MovingSprite  
{
public:
	virtual void Hit(FeeSprite *hitBy);
	PumpkinSprite(int x, int y, FeeManager *derManager);
	virtual ~PumpkinSprite();
	virtual void Update(float time);
	virtual void SelectFace();
	virtual void SetAlphaFace(int alpha);
protected:
	int hits;
	PlayerSprite *currentTarget;
	int32 einblenden;
	SDL_Surface *alphaFace;
	SDL_Surface *normalFace;
};

#endif
