// BounderSprite.h: interface for the BounderSprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BOUNDERSPRITE_H__967B8AEC_8009_4926_8584_FF4986DBBADB__INCLUDED_)
#define AFX_BOUNDERSPRITE_H__967B8AEC_8009_4926_8584_FF4986DBBADB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "FeeSprite.h"
#include "SDL.h"

class BounderSprite : public FeeSprite  
{
public:
	SDL_Rect bounder;
	BounderSprite(SDL_Rect bounder,int myKind, FeeManager* myManager);
	virtual ~BounderSprite();
	void Update(float time);
	void Hit(FeeSprite *hitBy);
	virtual SDL_Rect GetRect();
	int CollidesWith(FeeSprite *theSprite);
};

#endif // !defined(AFX_BOUNDERSPRITE_H__967B8AEC_8009_4926_8584_FF4986DBBADB__INCLUDED_)
