// This program is open source. It is placed under the Q public license.
// Copyright 2000/2001 by J. Fortmann/T.Wiesehfer.

// DecoSprite.cpp: implementation of the DecoSprite class.
//
//////////////////////////////////////////////////////////////////////

#include "FeeSprite.h"
#include "DecoSprite.h"
#include "SnoopyGlobals.h"
#include "FeeImageManager.h"
#include "FeeManager.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

DecoSprite::DecoSprite(int x, int y, FeeManager *theManager, char *filename, bool inFront, bool alphaOnly):FeeSprite(x,y,theManager, inFront)
{
	if (alphaOnly)
		face=myManager->imageManager->GetAlphaSurface(filename);
	else
		face=myManager->imageManager->GetImage(filename);

	if (face==NULL) toBeRemoved=true;
	name="Decoration";
	myKind=DECO_KIND;
	canCollide=false;
}

DecoSprite::~DecoSprite()
{

}

void DecoSprite::Update(float time)
{
}

void DecoSprite::Hit(FeeSprite *hitBy)
{
}