// MovingSprite.h: interface for the MovingSprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MOVINGSPRITE_H__C800F8AA_EF46_4E59_8478_BB25E1446EC5__INCLUDED_)
#define AFX_MOVINGSPRITE_H__C800F8AA_EF46_4E59_8478_BB25E1446EC5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "FeeSprite.h"

class MovingSprite : public FeeSprite  
{
public:
	MovingSprite(int x, int y, FeeManager *theManager, bool inFront = false);
	virtual ~MovingSprite();
	int speedY;
	int speedX;	

	virtual void Update(float time); // dito bei Update
protected:
	virtual void ComputeSpeed();	

	int angle;
	int speed;
};

#endif // !defined(AFX_MOVINGSPRITE_H__C800F8AA_EF46_4E59_8478_BB25E1446EC5__INCLUDED_)
