// ParaSprite.h: interface for the ParaSprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARASPRITE_H__F4A4FCD5_7718_4BA8_A5AE_0ACFA95F98E9__INCLUDED_)
#define AFX_PARASPRITE_H__F4A4FCD5_7718_4BA8_A5AE_0ACFA95F98E9__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "MovingSprite.h"

#define STATE_FLYING 0
#define STATE_FALLING 1
#define STATE_LANDED 3

class ParaSprite : public MovingSprite  
{
public:
	bool PlayerHitParachute(FeeSprite *hitBy);
	ParaSprite(int x, int weaponkind ,FeeManager *theManager);
	virtual ~ParaSprite();
	void Update(float time);
	void Hit(FeeSprite *hitBy);
	int weapon;
protected:
	void Explode();
	void InitFace();
	int state;
	int age;
};

#endif // !defined(AFX_PARASPRITE_H__F4A4FCD5_7718_4BA8_A5AE_0ACFA95F98E9__INCLUDED_)
