// SchroederSprite.h: interface for the SchroederSprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SCHROEDERSPRITE_H__240E3B2B_4C89_454E_B08A_9B8285C71426__INCLUDED_)
#define AFX_SCHROEDERSPRITE_H__240E3B2B_4C89_454E_B08A_9B8285C71426__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define SCHROEDER_SLEEPING 0
#define SCHROEDER_WALKING 1
#define SCHROEDER_PLAYING 2
#define SCHROEDER_CURSING 3
#define SCHROEDER_RETURNING 4

#include "FeeSprite.h"
class FeeManager;

class SchroederSprite : public FeeSprite  
{
public:
	void InitFace();
	SchroederSprite(FeeManager *myManager);
	virtual ~SchroederSprite();
	void Hit(FeeSprite *hitBy);
	void Update(float time);
	int state;
	int processCount;
	FeeSprite *curseAt;
};

#endif // !defined(AFX_SCHROEDERSPRITE_H__240E3B2B_4C89_454E_B08A_9B8285C71426__INCLUDED_)
