// ShotSprite.h: interface for the ShotSprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHOTSPRITE_H__86969EED_1CFE_4492_845B_590CB28C5079__INCLUDED_)
#define AFX_SHOTSPRITE_H__86969EED_1CFE_4492_845B_590CB28C5079__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "MovingSprite.h"

class PlayerSprite;

class ShotSprite : public MovingSprite  
{
public:
	PlayerSprite * Owner();
	virtual void Hit(FeeSprite *hitBy);
	ShotSprite(int x, int y, int kind, int angle, int speed, PlayerSprite *theOwner, FeeManager *derManager, int isDark=true);
	virtual ~ShotSprite();
	virtual void Update(float time);
	virtual void InitFace();
protected:
	PlayerSprite *owner;
	PlayerSprite *target; // fr HM
	int turnCountdown;	  //  ""
	int age;
	int isDark;
};

#endif // !defined(AFX_SHOTSPRITE_H__86969EED_1CFE_4492_845B_590CB28C5079__INCLUDED_)
