// This program is open source. It is placed under the Q public license.
// Copyright 2000/2001 by J. Fortmann/T.Wiesehfer.

#include "SnoopyGlobals.h"
#include "FeeSound.h"
#ifdef MACOSX
#include <Carbon/Carbon.h>
#include <unistd.h>
CFURLRef graphicsFolderURL;
CFStringRef graphicsFolderStringRef;
char graphicsFolderString[1024];
#endif
FeeSound *theMGSound;			// Sound fuers MG
FeeSound *theArrowSound;		// Sound fuer Raketen
FeeSound *theHitSound;			// Sound beim Treffer
FeeSound *theLandingSound;		// Sound beim Landen
FeeSound *theExplosionSound;		// Sound fuer die Explosionen
FeeSound *thePumpkinSound;		// Lachen des Pumpkins
FeeSound *thePumpkinHitSound;		// Pumpkin getroffen
FeeSound *theCharlieHitSound;		// Charlie getroffen
FeeSound *theStartBombSound;		// etwas fllt herunter
FeeSound *theSchroederSound1;		// Schroeder
FeeSound *theSchroederSound2;		// Schroeder
FeeSound *theSchroederSound3;		// Schroeder
FeeSound *theSchroederSound4;		// Schroeder
FeeSound *theSchroederSound5;		// Schroeder
FeeSound *theReceivedSound;		// Waffen erhalten
bool pumpkinUnterwegs=false;
bool baseballUnterwegs=false;

void InitializeGlobals()
{
        #ifdef MACOSX
            graphicsFolderURL = CFBundleCopyBundleURL(CFBundleGetMainBundle());
            graphicsFolderStringRef = CFURLCopyFileSystemPath(graphicsFolderURL, kCFURLPOSIXPathStyle);
            CFStringGetCString(graphicsFolderStringRef, graphicsFolderString, 1024, kCFStringEncodingMacRoman);
            chdir(graphicsFolderString);
            graphicsFolderURL = CFBundleCopyResourcesDirectoryURL(CFBundleGetMainBundle());
            graphicsFolderStringRef = CFURLCopyFileSystemPath(graphicsFolderURL, kCFURLPOSIXPathStyle);
            CFStringGetCString(graphicsFolderStringRef, graphicsFolderString, 1024, kCFStringEncodingMacRoman);
            chdir(graphicsFolderString);

            getcwd(graphicsFolderString, 1024);
            printf("%s\n", graphicsFolderString);
        #endif

	theMGSound = new FeeSound("Sounds/MG.wav");
	theArrowSound = new FeeSound("Sounds/Arrow.wav");
	theHitSound = new FeeSound("Sounds/Hit.wav");
	theLandingSound = new FeeSound("Sounds/Landed.wav");
	theExplosionSound = new FeeSound("Sounds/Explosion.wav");
	thePumpkinSound = new FeeSound("Sounds/PumpkinLaughter.wav");
	thePumpkinHitSound = new FeeSound("Sounds/PumpkinHit.wav");
	theCharlieHitSound = new FeeSound("Sounds/CharlieHit.wav");
	theStartBombSound = new FeeSound("Sounds/StartBomb.wav");
	theSchroederSound1 = new FeeSound("Sounds/Schroeder1.wav");
	theSchroederSound2 = new FeeSound("Sounds/Schroeder2.wav");
	theSchroederSound3 = new FeeSound("Sounds/Schroeder3.wav");
	theSchroederSound4 = new FeeSound("Sounds/Schroeder4.wav");
	theSchroederSound5 = new FeeSound("Sounds/Schroeder5.wav");
	theReceivedSound = new FeeSound("Sounds/Received.wav");
}

void RemoveGlobals()
{
	delete theMGSound;
	delete theArrowSound;
	delete theHitSound;
	delete theLandingSound;
	delete theExplosionSound;
	delete thePumpkinSound;
	delete thePumpkinHitSound;
}