#ifndef _SNOOPYGLOBALSH_
#define _SNOOPYGLOBALSH_

#pragma warning(3:4244)

/*#ifdef MACOSX
     #include <Carbon/Carbon.h>
     extern CFURLRef graphicsFolderURL;
     extern CFStringRef graphicsFolderStringRef;
     extern char graphicsFolderString[255];
#endif*/
#include "SDL.h"
#include "FeeGlobal.h"

// sprite kinds

enum
{
	ARROW_KIND = 0,
	MG_KIND,
	BOMB_KIND,
	HM_KIND,
	GESAMTZAHL_WAFFEN,
	RESERVED1, // damit AI-Dlls bei neuen Waffen nicht vllig abkacken.
	RESERVED2,
	RESERVED3  // wird unten bentigt und im PlayerSprite zur Dimensionierung von Arrays.
};

enum
{
	PLAYER_KIND = RESERVED3,
	RESERVED4,
	SMOKE_KIND,
	EXPLO_KIND,
	WOODSTOCK_KIND,
	SKY_KIND,
	GROUND_KIND,
	CLOUD_KIND,
	PUMPKIN_KIND,
	PARA_KIND,
	CHARLIE_KIND,
	BASEBALL_KIND,
	SCHROEDER_KIND,
	DECO_KIND,
	NOTE_KIND,	
	FLYING_PART_KIND,
	STATUS_KIND
};

// speeds
#define STOP_SPEED 0
#define HIGH_SPEED 6
#define LOW_SPEED 3
#define ARROW_SPEED 6
#define MG_SPEED 6
#define FALL_SPEED 16

#define INCR_ANGLE 1   // die tatschliche Winkel stehen in 
#define DECR_ANGLE 2   // PlayerSprite.cpp (SetAngle)
#define PLUNGE_DECR_ANGLE 3
#define PLUNGE_INCR_ANGLE 4
#define BODEN 51

#define PI 3.1415926535897932384626433832795

class FeeSound;

extern FeeSound *theMGSound;		// Sound fuers MG
extern FeeSound *theArrowSound;		// Sound fuer Raketen
extern FeeSound *theHitSound;		// Sound beim Treffer
extern FeeSound *theLandingSound;	// Sound beim Landen
extern FeeSound *theExplosionSound;	// Sound fuer die Explosionen
extern FeeSound *thePumpkinSound;	// Lachen des Pumpkins
extern FeeSound *thePumpkinHitSound;	// Pumpkin getroffen
extern FeeSound *theCharlieHitSound;	// Charlie getroffen
extern FeeSound *theStartBombSound;	// etwas fllt herunter
extern FeeSound *theSchroederSound1;		// Schroeder
extern FeeSound *theSchroederSound2;		// Schroeder
extern FeeSound *theSchroederSound3;		// Schroeder
extern FeeSound *theSchroederSound4;		// Schroeder
extern FeeSound *theSchroederSound5;		// Schroeder
extern FeeSound *theReceivedSound;	// Waffen erhalten

void InitializeGlobals();
void RemoveGlobals();

#endif // _SNOOPYGLOBALSH_